| Home | Libraries | People | FAQ | More

## Function trim_left_copy_if

boost::algorithm::trim_left_copy_if — Left trim - parametric.

## Synopsis

    template<typename OutputIteratorT, typename CollectionT, typename PredicateT>
      OutputIteratorT
      trim_left_copy_if(OutputIteratorT Output, const CollectionT & Input,
                        PredicateT IsSpace);
    template<typename SequenceT, typename PredicateT>
      SequenceT trim_left_copy_if(const SequenceT & Input, PredicateT IsSpace);

## Description

Remove all leading spaces from the input. The supplied predicate is used to determine which characters are considered spaces. The result is a trimmed copy of the input. It is returned as a sequence or copied to the output iterator

Parameters

Input

  An input collection

IsSpace

  An unary predicate identifying spaces

Output

  An output iterator to which the result will be copied

Returns: An output iterator pointing just after the last inserted character or a copy of the input
Notes: The second variant of this function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba